---
lang: en
title: 'API docs: repository.crudrepositoryimpl.createall'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.crudrepositoryimpl.createall.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepositoryImpl](./repository.crudrepositoryimpl.md) &gt; [createAll](./repository.crudrepositoryimpl.createall.md)

## CrudRepositoryImpl.createAll() method

<b>Signature:</b>

```typescript
createAll(entities: DataObject<T>[], options?: Options): Promise<T[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  entities | <code>DataObject&lt;T&gt;[]</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<T[]>`


